aboutsummaryrefslogtreecommitdiffstats
path: root/main/gst-libav
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2017-06-29 09:15:31 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2017-06-29 09:28:37 +0000
commit242d999649e2d2b97394b4ee89c8beae99fb2664 (patch)
tree8f8563df5418d5eea6fc9ed6312c3a0129285774 /main/gst-libav
parente93445cd21e0a5c315dea792a63569074981e829 (diff)
downloadaports-242d999649e2d2b97394b4ee89c8beae99fb2664.tar.gz
aports-242d999649e2d2b97394b4ee89c8beae99fb2664.tar.bz2
aports-242d999649e2d2b97394b4ee89c8beae99fb2664.tar.xz
main/gst*1: rename. remove "1" suffix
Diffstat (limited to 'main/gst-libav')
-rw-r--r--main/gst-libav/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/main/gst-libav/APKBUILD b/main/gst-libav/APKBUILD
new file mode 100644
index 0000000000..2242177099
--- /dev/null
+++ b/main/gst-libav/APKBUILD
@@ -0,0 +1,41 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gst-libav
+pkgver=1.12.0
+pkgrel=0
+pkgdesc="Gstreamer libav Plugin"
+url="http://www.gstreamer.net"
+arch="all !armhf"
+license="GPL"
+makedepends="
+ coreutils
+ ffmpeg-dev>=2.7.1-r1
+ gstreamer-dev
+ gst-plugins-base-dev
+ liboil-dev
+ orc-dev"
+source="http://gstreamer.freedesktop.org/src/gst-libav/gst-libav-$pkgver.tar.xz"
+
+builddir="$srcdir"/gst-libav-$pkgver
+
+build() {
+ cd "$builddir"
+ export CFLAGS="$CFLAGS -fno-strict-aliasing -D_XOPEN_SOURCE"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-orc \
+ --disable-fatal-warnings \
+ --with-system-libav \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="16c8862e5b2305215f01ac0c1514aa48d11359a1a06e6edbf7b9da60ab90bd8a154ddbb84b70fb05fde1eae503a91a18226f4d70c713f428334a7a8eb580a4c7 gst-libav-1.12.0.tar.xz"